<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <link rel="icon" href="{{ asset('favicon.ico') }}"/>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    {{ encore_entry_link_tags('app') }}
    {% block stylesheets %}{% endblock %}
</head>
<body>
{% if is_granted('ROLE_USER') %}
    <ul id="slide-out" class="sidenav sidenav-fixed right">
        <li style="height: 150px">
            <div class="user-view">
                <div class="background" style="height: 150px">
                    <img src="{{asset('favicon.ico')}}" alt="">
                </div>
            </div>
        </li>
        <li><a href="#!"><i class="material-icons">home</i>Accueil</a></li>
        <li><div class="divider"></div></li>
        <li><a><i class="material-icons">settings_applications</i>Paramètres</a></li>
    </ul>
{% endif %}
{% block body %}{% endblock %}
{% if is_granted('ROLE_USER') %}
    <ul id="slide-out" class="sidenav sidenav-fixed right-aligned">
        <li>
            <div class="user-view">
                <div class="background blue-grey">
                </div>
                <a href="#"><img class="circle" src="{{ asset('favicon.ico') }}" alt="Profile image"></a>
                <a href="#"><span class="white-text name">{{ app.user.username }}</span></a>
                <a href="#"><span class="white-text email">{{ app.user.email }}</span></a>
            </div>
        </li>
        <li><a href="#!"><i class="material-icons">account_circle</i>Mon Compte</a></li>
        <li><div class="divider"></div></li>
        <li><a class="red-text" href="{{ path('app_logout') }}"><i class="material-icons">logout</i>Déconnexion</a></li>
    </ul>
{% endif %}
{{ encore_entry_script_tags('app') }}
<script>
    M.AutoInit();
</script>
{% block javascripts %}{% endblock %}
</body>
</html>
